#ifndef CUZ_MIXER_H
#define CUZ_MIXER_H

void mixer_init();
void mixer_deinit();

int mixer_sample_load(const char *s);
void mixer_sample_play(int v, float vol=1.0, float pan = 0.0);

int mixer_stream_load(const char *s);
void mixer_stream_play(int v, float vol=1.0);
void mixer_stream_stop(int v);
void mixer_stream_volume(int v, float vol);


#endif
