#include "gamewrap.h"
#include "game.h"
#include "cuz_driver.h"

Game *_game = 0;

void game_init() {
    if (_game) { return; }
    _game = new Game();
    _game->init();
}

void game_loop() {
    if (!_game) { return; }
    _game->loop();
}

void game_paint() {
    if (!_game) { return; }
    _game->paint();
}

void game_event(Event e) {
    if (!_game) { return; }
    _game->event(e);
}

void game_deinit() {
    if (!_game) { return; }
    _game->deinit();
    delete _game;
    _game = 0;
}