#include <stdio.h>

#include "cuz_driver.h"
#include "game.h"

#ifdef USING_SDL
#include "SDL.h"
#endif

int main(int argc, char *argv[]) {
    Game game; 
    game.init();
    
    while (!game.quit) {
        Event e;
        while (driver_event_poll(&e)) {
            if (e.type == EVT_QUIT) {
                game.quit = 1;
            }
            game.event(e);
        }
        game.loop();
        game.paint();
    }
    
    game.deinit();

    return 0;
}
